% Figure1_4.m
% It requires the following functions:
% eulerE.m
% eulerI.m
% eulerTV.m
% eulerVT.m
% fPendulum.m
% fPendulumT.m
% fPendulumV.m
% fPendulEulerE.m
% fPendulEulerI.m
% fPendulSETV.m
% fPendulSEVT.m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Initial and final time, and  Time step
global h
%t0=0;  tf=8.5;   N=30; %N = 3*6;
t0=0;  tf=10.5;   N=30; %N = 3*6;
h = (tf-t0)/N;
%x0 = [pi/3 ; 0];    
x0 = [2.5 ; 0];    
q0=x0(1);  p0=x0(2); t = t0; x=x0;
xf=x0';

[t1,xe] = ode45('fPendulum',[t0,tf],x0);
[t,xee] = ode45('fPendulEulerE',[t0,tf],x0);
[t,xei] = ode45('fPendulEulerI',[t0,tf],x0);
[t,xtv] = ode45('fPendulSETV',[t0,tf],x0);
[t,xvt] = ode45('fPendulSEVT',[t0,tf],x0);

[t x1]=eulerE(@fPendulum,t0,tf,x0,N);
[t x1i]=eulerI(@fPendulum,t0,tf,x0,N);
[t q1 p1]=eulerTV(@fPendulumT,@fPendulumV,t0,tf,q0,p0,N);
[t q2 p2]=eulerVT(@fPendulumT,@fPendulumV,t0,tf,q0,p0,N);

figure(1)
 subplot(1,2,1)
  hold on
  plot(xe(:,1),xe(:,2),'k','MarkerSize',8,'LineWidth',2)
  plot(xee(:,1),xee(:,2),'-k','MarkerSize',8,'LineWidth',1)
  plot(x1(:,1),x1(:,2),'ks','MarkerSize',8)
  plot(q1,p1,'ko','MarkerSize',8)
  plot(xtv(:,1),xtv(:,2),'-k','LineWidth',1)
  axis equal
  axis([-3 3 -2.5 2.5]) 
  xlabel('{\fontsize{14} q }')   
  ylabel('{\fontsize{14} p}','Rotation',0)   
  box

 subplot(1,2,2)
  hold on
  xb=[0.47 1.25 1.25 0.47 0.47];
  yb=[0.1 0.1 -0.9 -0.9 0.1];
  plot(xe(:,1),xe(:,2),'k','MarkerSize',8,'LineWidth',2)
  plot(xei(:,1),xei(:,2),'-k','MarkerSize',8,'LineWidth',1)
  plot(x1i(:,1),x1i(:,2),'ks','MarkerSize',8)
  plot(q2,p2,'ko','MarkerSize',8)
  plot(xvt(:,1),xvt(:,2),'-k','LineWidth',1)
  axis equal
  axis([-3 3 -2.5 2.5]) 
  xlabel('{\fontsize{14} q }')   
  ylabel('{\fontsize{14} p}','Rotation',0)   
  box
