%             eulerE.m
% Explicit Euler method
% f: vectorfield
% x0: initial conditions
% t0, tf: time span
% N: divisions of the time interval (timestep h=(tf-t0)/N)
function [t x] = eulerE(f,t0,tf,x0,N)
h = (tf-t0)/N;
t=t0:h:tf; x=x0';y=x0;
for i=1:N;
  K1 = f(t(i),y);
  y = y + h*K1;
  x = [x ; y' ];
end

