%             eulerVT.m
% Symplectic Euler method
% fT, fV:  the vectorfields
% x0: initial conditions
% t0, tf: time span
% N: divisions of the time interval (timestep h=(tf-t0)/N)
function [t q p] = eulerVT(fT,fV,t0,tf,q0,p0,N)
 h = (tf-t0)/N;
 t=t0:h:tf; q=q0';q1=q0; p=p0'; p1=p0;
 for i=1:N;
   p1 = p1 - h*fV(q1);
   q1 = q1 + h*fT(p1);
   q = [q ; q1' ];
   p = [p ; p1' ];
 end

